function [Var_e] = Var_error(G1,G2,VarCovar)
% Calculates the Variance of the error and its derivatives
%   VarCovar = [Varyy,Varu1u1,Varu2u2,Covaryu1,Covaryu2,Covaru1u2];

% Copyright (c) 2015 Matthijs van Berkel, Gerd Vandersteen
% All rights reserved.
% Software can be used freely for non-commercial applications only. 
% If used in publications please reference 
% [1] van Berkel, M., Vandersteen, G., Geerardyn, E., Pintelon, R., Zwart, H.J. and de Baar, M. R., 2014. Frequency domain sample maximum likelihood estimation for spatially dependent parameter estimation in PDEs, Automatica 50(8): 2113  2119. DOI: 10.1016/j.automatica.2014.05.027


G1 = G1(:); G2 = G2(:);

%% Standard deviation uncertainty
Var_e =  VarCovar(:,1)+abs(G1).^2.*VarCovar(:,2)+abs(G2).^2.*VarCovar(:,3)+...
         2*real(G1.*VarCovar(:,6).*conj(G2))...
        -2*real(conj(G1).*VarCovar(:,4)+conj(G2).*VarCovar(:,5));
Var_e = Var_e(:);

%Var_e = abs(G1).^2+abs(G2).^2+2*real(G1.*conj(G2));

end
