function [e,J]=MLcost(P,x,w, Tm, stdTm)
%% Computation of the ML cost function for following model
%  d^2 T/dx^2 + 2 P(1) dT/dx + P(2) T+ i w P(3) T = 0 with b and c real valued
%
% Gerd Vandersteen Vrije Universiteit Brussel / Dept ELEC


e=zeros(length(Tm(:)),1);
J=zeros(length(Tm(:)),2);
[T, dTda, dTdb, dTdc] = ComputeTF(P(1),P(2),P(3),x,w);
e=(T(:)-Tm(:))./stdTm(:);
J(:,1)=dTda(:)./stdTm(:);
J(:,2)=dTdb(:)./stdTm(:);
J(:,3)=dTdc(:)./stdTm(:);

